Introduction to the CLM Licensing Software

Home > Client License Manager Software

Client License Manager (CLM) Software

The Hexagon Client License Manager (CLM) software is a reliable and secure licensing technology that does not require a Software Protection Key (HASP portlock dongle). An Internet connection to the Hexagon Network License Server is all you need to install PC-DMIS and activate a license.

Automatic HASP to LMS Changeover

If you want to keep the current version of PC-DMIS and to change your current license from HASP to LMS:

  1. Contact your Hexagon Service Representative to acquire an LMS license Entitlement ID (EID) key. Your representative will also send you the latest versions of the CLM license software tools. Use these tools to perform the various functions that this document describes.

  2. After you install your EID key and the CLM software tools, locate the CLM Client License Administrator utility file (clmadmin.exe). Double-click it to run it. For details about how to use the EID to install your LMS license, see the appropriate section of the CLM help:

    • Installing and Activating node-locked Licenses

    • Floating Licenses

    • Offline License Processing

  3. Remove your HASP dongle from the PC and return it.

  4. Start up the same version of PC-DMIS that you used with HASP. PC-DMIS detects that the HASP dongle is missing.

PC-DMIS then checks for a valid LMS license. If it finds one, your license automatically switches to use the new LMS license. The license registry key uses the LMS license, without any user interaction. LMS becomes your default license. To change between HASP and LMS licenses, see "UseLMSLicensing" in the Settings Editor documentation.

If PC-DMIS does not find an LMS license, it displays an error message that states the PC-DMIS license is missing. PC-DMIS shuts down. The license registry key remains set to HASP. This is the same case when you temporarily remove the HASP dongle from your PC and plug it back in later.

If both a valid HASP license and a valid LMS license are detected, upon startup, PC-DMIS uses HASP. If the HASP portlock is removed, the next time PC-DMIS starts up, it uses the valid LMS license.

This fix does not cover the case when LMS is your license system, and a valid HASP dongle is in your computer. In this case, LMS remains as the license system in use. PC-DMIS ignores the dongle.

More:

License Models

Entitlement ID

Introduction to License Models

Troubleshooting

Frequently Asked Questions (FAQs)

Glossary

Node Locked License QuickStart

Offline License Activation QuickStart

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●

Company Information

Hexagon Manufacturing Intelligence

>> http://hexagonmi.com ●

Product Information

PC-DMIS 2017 R2

Copyright © 2017 Hexagon Metrology

Help System last generated on May 04, 2017


License Models

The License Model has two concepts that result in four types of Licenses. The two concepts are as below:

  • Locking

  • License Lifetime

Locking - This is related to computers on a network. You have two options:

  • Node-locked - This type of license is installed and tied to a single computer. The license cannot be shared between multiple users working on different PCs.

  • Floating - This type of license can be shared between multiple users working on different computers within the same network. This requires configuration and installation of the license server. The client system configuration is required to access the license server.

License Lifetime - Defines the type of license validation.

  • Perpetual - The license provides permanent validity on the targeted computer.

  • Evaluation - The license has an expiry date.

You have a choice between four types of licenses:

  • Node-Locked Perpetual

  • Node-Locked Evaluation

  • Floating Perpetual

  • Floating Evaluation

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●

Company Information

Hexagon Manufacturing Intelligence


Entitlement ID

The Entitlement ID is the key to initial license activation as well as for re-ordering additional software options.

The Entitlement ID consists of 25 alphanumeric characters that are separated by dashes; for example:

Entitlement ID: 9A9A9-A9A9A-9A9A9-A9A9A-9A9A9

The Entitlement ID can be found on the Invoice and on the delivery note of the purchased software product. In addition, it can also be found on a separate Entitlement Certificate, on paper or in digital form (such as an HTML document).

The Entitlement ID for a software product never changes; therefore, these documents should be kept in a secure location.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Introduction to License Models

Depending on the software product being installed, there is a choice between two different license models matching different user requirements:

  • node-locked

  • Floating

The available license models and the related functionality depend on the Hexagon software product.

More:

Overview of node-locked Licenses

Overview of Floating Licenses

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Overview of node-locked Licenses

A node-locked License is tied to a single computer and is therefore the ideal choice for working remotely or for single dedicated users within the network.

A node-locked license cannot be shared by multiple users in the same network and is usually not transferred from one computer to another (“re-hosting”).

For the initial installation and activation of node locked licenses, an Internet connection is required for connecting to the Hexagon Network License Server. Once the license is installed and activated, this Internet connection is no longer required. For activating additionally purchased software options or for software maintenance, an Internet connection will be needed again, though.

node-locked licenses on the computer are managed via a separate license management tool called the CLM Administrator.

More:

Node Locked License re-hosting

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


node-locked License re-hosting

Transferring a node-locked license from one computer to another is called "re-hosting". Transferring licenses is only intended for a permanent change of user or computer. re-hosting can also be necessary when resetting or installing a new operating system on the same computer.

re-hosting is only allowed a limited number of times per year. The number of allowed re-hostings depends on the software product being installed.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Overview of Floating Licenses

Floating Licenses can be shared across multiple client workstations within the same local network. Floating licenses are the ideal choice if the software should be floated over a local network, transferring from one client workstation to the next as required.

Floating licenses are managed by a Local License Server running in the local network. This Local License Server manages the license pool and ensures that the number of simultaneously used licenses does not exceed the total number of purchased licenses. If no more licenses are available, the user is notified and has to wait until another user finishes using a license.

The Local License Server can be installed on either a normal computer or a dedicated server, but it cannot be installed on a virtual computer or server system. The Local License Server can manage the licenses for one or more software products.

Usually the license is not transferred from one Local License Server to another ("re-hosting").

For the initial installation and activation of the Local License Server, an Internet connection is required for connecting to the Hexagon Network License Server. Once the local server is installed and activated, this Internet connection is no longer required. For activating additionally purchased software options or for software maintenance, an Internet connection is required.

If it is required to use the software remotely on a computer or laptop without connection to the network and the Local License Server, the licenses can be borrowed from the Local License Server and returned after usage.

Floating licenses on the Local License Server are managed via a separate license management tool called the CLM Administrator Server.

More:

Floating License re-hosting

Floating License Borrowing

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Floating License re-hosting

Transferring the license from one Local License Server within the local network to another is called "re-hosting". Transferring the license is only intended for a permanent change of the Local License Server. re-hosting the license may also be necessary when resetting or installing a new operating system on the same server or computer.

re-hosting of the license is allowed a limited number of times in a year. The number of allowed re-hostings depends on the software product being installed.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Floating License Borrowing

If it is required to use the software remotely on a computer without connection to the network and the Local License Server, the licenses can be borrowed from the Local License Server and returned after usage. This process is called "borrowing". The availability of borrowing depends on the software product being installed.

If you attempt to borrow a license longer than the number of days remaining on the license, this error message appears:

No matching fulfillment, clmBorrow failed (9000040B, 1035).

To correct this, reset the number of days for the borrowing period to be within the number of days left on the license.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Installing and Activating node-locked Licenses

To install the software package on a computer, and to activate the licenses, the following are required:

  • A computer with a connection to the Internet

  • An invoice, delivery note, or Entitlement Certificate with the Entitlement ID for the software package

  • An installation CD-ROM or DVD, or a downloaded setup program for the software package

More:

Node Locked License Installation

Managing Licenses

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


node-locked License Installation

The Hexagon Manufacturing Intelligence CLM Licensing tools are installed with the Hexagon software product (PC-DMIS, DataPage+, and so on). The process creates desktop shortcuts to the necessary CLM tools.

The installation of the software and activation of the software package is done with an installation wizard that automatically guides the user through the complete installation and activation process. The following chapter explains these setup steps in detail.

Note that the installation steps and screen shots in this document are taken from the Hexagon software package. The dialog boxes for other software packages may differ slightly.

  1. Start the CLM Licensing tool. To do this, double-click the CLM Admin desktop shortcut created during the installation of the Hexagon software product. The Client License Administrator dialog box appears.

    Client License Administrator dialog box

  2. Click Activate new licenses and type or copy your entitlement ID into the Entitlement ID box.

    Client License Administrator dialog box - Activate new licenses

  3. Click Check for activatable licenses to display the summary of the license.

  4. Click Activate new licenses.

  5. Click View Installed Licenses to view all activated licenses.

All new licenses are now activated, and the corresponding products can be used.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Managing Licenses

Managing licenses on a computer is done via the View Licenses dialog box within the software package or with the separate CLM Administrator tool.

Note that the screen shots in this document are taken from the software package provided by Hexagon. The dialog boxes for other software packages may differ slightly.

More:

Starting View Licenses

Starting the CLM Administrator

Viewing node-locked Licenses

Updating node-locked Licenses

Checking for node-locked License Updates

re-hosting node-locked Licenses

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Starting View Licenses

To access the View Licenses dialog box to view currently activated licenses:

  • Double-click clmadmin.exe to start the software package to manage the licenses.

  • Select View installed licenses.

  • Refer to Viewing node-locked Licenses to continue.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Starting the CLM Administrator

To start the CLM Administrator for node-locked licenses:

  • Double-click clmadmin.exe to start the software package to manage the licenses.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Viewing node-locked Licenses

Viewing the licenses that are currently activated on a computer is done via the View Licenses dialog within the software package (refer to the Managing Licenses chapter).

For viewing the currently activated licenses, a connection to the Internet is not required.

To view the licenses for a software package:

  • Click the View Installed Licenses link to display a list of currently installed and activated licenses on your system (for more details related to managing your licenses, refer to the Managing Licenses chapter).

The dialog box shows the Entitlement ID and all currently activated options of the software package.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Updating node-locked Licenses

Activating additionally purchased software options or software maintenance is called “updating licenses”. Updating licenses is done via the View Licenses dialog box within the software package (refer to the Managing Licenses chapter).

An Internet connection is required to allow for a connection to the Hexagon Network License Server.

Start the node-locked license.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Checking for node-locked License Updates

A connection to the Hexagon Network License Server will now be established, and the check for license updates is initiated.

To update newly purchased software options or software maintenance:

  • Click View installed licenses to display the Installed licenses dialog box (refer to the Managing Licenses chapter).

  • Make sure the computer is connected to the Internet.

  • Select Check for Updates near the bottom of the dialog box.

Depending on what the query finds:

  • If no license updates are available, you get a message that says, "No new licenses are available”. You are prompted to confirm the message by clicking OK.

  • If license updates are available, a list of updates appear. Check the items to update, and select Activate new licenses near the lower-right of the dialog box to complete the update.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


re-hosting node-locked Licenses

re-hosting (transferring a license from one computer to another) and managing licenses for different software products on the same computer is done by starting the CLM Administrator for node-locked licenses (refer to the Managing Licenses chapter).

To return licenses for re-hosting:

  1. Start the CLM Administrator (refer to the Managing Licenses chapter).

  2. Make sure the computer is connected to the Internet.

  3. Select View installed Licenses. The list of currently activated entitlements appears.

  4. Select the Entitlement ID to be returned.

  5. Select Return Licenses. The list of currently selected licenses for return appears.

  6. Select Continue to confirm returning the selected licenses.

A connection to the Hexagon Network License Server is established, and the selected licenses are returned.

Installing and Activating Licenses on a Different Computer

To complete the re-hosting process, the following action is required:

  • On the computer that the license is to be moved to, follow the complete installation and activation process as described in the Installing and Activating node-locked Licenses chapter.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Floating Licenses

To install the purchased software package on one or more local PCs and to activate the purchased floating licenses, the following installation steps are required:

  • Installation of Local License Server

  • Installation of Local Client or Clients

More:

Installing the Local License Server

Installing on Local Clients

Managing the Local License Server

Managing Floating Licenses on Local Clients

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Installing the Local License Server

To install the Local License Server, the following is required:

  • A server or computer running in the local network with connection to the Internet (once the license is activated, this connection is no longer required)

  • An Invoice, delivery note, or Entitlement Certificate with the Entitlement ID for the software package

  • Installation CD-ROM or DVD, or downloaded setup program for the Hexagon CLM Server Package

This server or computer will then be used by all Local Clients to retrieve a license of the software package.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Installing on Local Client(s)

To install and activate the software package on Local Client(s) in the network, the following is required:

  • A computer running in the local network with connection to the Local License Server and to the Internet (once the software package is installed, the Internet connection is no longer needed)

  • An Installation CD-ROM or DVD, or downloaded setup program (clmadminsvr.exe) for the software package

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Managing the Local License Server

Managing the Local License Server is done via the separate CLM Administrator Server tool.

Note that the installation steps and screen shots in this document are taken from the software package provided by Hexagon. The dialog boxes for other software packages may differ slightly.

More:

License Administrator Server

Viewing Floating Licenses on Local License Server

Viewing Floating Licenses in Use

Managing the License Server

Updating Floating Licenses on Local License Server

Activating New Floating Licenses

re-hosting Floating Licenses on Local License Server

Verifying the Connection to the Hexagon Network License Server

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


License Administrator Server

To start the CLM Administrator Server, double-click the clmadminsvr.exe that came with your package or was downloaded from the Hexagon server.

All managing of the Local License Server is done with the CLM Administrator Server application.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Viewing Floating Licenses on Local License Server

Viewing the licenses that are currently activated on the Local License Server is done with the CLM Administrator Server (refer to the Managing the Local License Server chapter).

Double-click the clmadminsvr.exe application that came with your package or was downloaded from the Hexagon server to display the Client License Administrator - Server main screen.

To view the licenses that are currently activated on the Local License Server:

  • Start the CLM Administrator Server (refer to the Managing the Local License Server chapter).

  • Select View installed licenses from the menu on the left.

If any Entitlement IDs are currently activated on the Local License Server, they will display:

  • Select Features in the upper-right for a detailed view of the activated licenses.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Viewing Floating Licenses in Use

Viewing the licenses that are currently activated on the Local License Server is done with the CLM Administrator Server (refer to the Managing the Local License Server chapter).

To view the licenses that are currently in use on Local Client(s):

  • Start the CLM Administrator Server (refer to the Managing the Local License Server chapter).

  • Select View Licenses in use from the menu on the left.

If any licenses are currently used on Local Client(s), they display. In addition, the user currently using each license is included.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Managing the License Server

Managing the Local License Server is done with the CLM Administrator Server.

To verify the name of the license server (that is, the host name):

  • Start the CLM Administrator Server (refer to the Managing the Local License Server chapter).

  • Select Manage license server from the menu on the left.

The host name of the Local License Server is given. In addition, the license server port is indicated next to the colon. By default this is port 27000; see also FAQ 17). Whether the server is running or stopped is also indicated. To change the status, select Start or Stop in the bottom right.

To refresh the view, select Refresh in the bottom right.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Updating Floating Licenses on Local License Server

Activating additionally purchased software options or software maintenance is called “updating licenses”. Updating licenses is done with the CLM Administrator Server.

For this functionality, an Internet connection is required to allow for a connection to the Hexagon Network License Server.

To view the currently activated licenses on the Local License Server:

  • Start the CLM Administrator Server (refer to the Managing the Local License Server chapter).

  • Select Verify Licenses from the main area or from the menu on the left.

After checking for updates with the Hexagon Network License Server, any newly activatable licenses display:

  • Select Newly activatable licenses near the lower-right of the dialog box to activate the new licenses.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Activating New Floating Licenses

Activating other purchased software packages to be managed on the same Local License Server is called “activating new licenses”. Activating new licenses is done with the CLM Administrator Server.

For this functionality, an Internet connection is required to allow for a connection to the Hexagon Network License Server.

To activate new licenses on the Local License Server:

  • Start the CLM Administrator Server (refer to the Managing the Local License Server chapter).

  • Select Activate new Licenses from the main area or from the menu on the left.

To activate additional software packages on the same Local License Server:

  • In the Entitlement IDs box, type the entitlement ID as printed on the delivery note, invoice, or Entitlement Certificate.

  • Then select Check for activatable licenses.

A connection to the Hexagon Network License Server is initiated to check for new licenses.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


re-hosting Floating Licenses on Local License Server

A license is required to be returned first before it can be re-hosted to another Local License Server. Returning the license is done with the CLM Administrator Server.

Also, in order to re-host a license, it must have been previously registered with Hexagon. Contact a Hexagon Technical Support representative for more information.

To view the currently activated licenses on the Local License Server:

  • Start the CLM Administrator Server (refer to the Managing the Local License Server chapter).

  • Select View installed licenses from the main area or from the menu on the left.

The currently activated licenses are now shown. To return these for re-hosting:

  • Select each Entitlement ID that you want to re-host.

  • Select Return licenses.

The licenses that are currently selected for returning are now shown:

  • Select Continue to confirm returning the selected licenses.

  • If the licenses are not yet registered with Hexagon, select Register Entitlements. (See the Floating Licenses chapter.)

A connection to the Hexagon Network License Server will now be established. The selected licenses are returned.

To complete the re-hosting process, the following is required:

  • On a different server or computer, follow the complete installation process as described in the Installing the Local License Server chapter.

  • Then, follow the instructions for updating the license server configuration on the local clients in the re-hosting Floating Licenses on Local Clients document.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Verifying the Connection to the Hexagon Network License Server

In case problems occur during the license activation process, it may be necessary to confirm that the connection to the Hexagon Network License Server is working. This verification is done with the CLM Administrator Server.

To verify the connection to the Hexagon Network License Server:

  • Start the CLM Administrator Server (refer to the Managing the Local License Server chapter).

  • Select Verify Internet connection from the menu on the left.

The Verify Internet connection dialog box displays the status of the connection and gives error descriptions if applicable.

This functionality should be used after experiencing problems during the license activation process.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Managing Floating Licenses on Local Clients

Managing licenses on local clients is done via the View Licenses dialog box within the software package.

Note that the screen shots in this document are taken from the Hexagon software package. The dialog box for other software packages may differ slightly.

To access the View licenses dialog box to view currently activated licenses:

  • Start the software package of which you want to manage the licenses.

  • Click the View licenses link on the screen to display a screen that lists all activated licenses on your system. If no licenses are activated, the following message displays.

More:

Viewing Floating Licenses on Local Clients

Updating Floating Licenses on Local Client

Borrowing Floating Licenses on Local Client

re-hosting Floating Licenses on Local Client

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Viewing Floating Licenses on Local Clients

Viewing the licenses that are currently activated for software on the server computer is done via the View licenses dialog box within the software package (refer to the Floating License chapter). For viewing the currently activated licenses, a connection to the Internet is not required.

To view the licenses for a software package:

  • Click the View licenses link to display the dialog box within the software package (refer to the Floating Licenses chapter).

The View licenses dialog box shows either the Entitlement ID and all currently activated options of the software package or a message stating that there are currently no activated licenses.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Updating Floating Licenses on Local Client

Activating additionally purchased software options or software maintenance is called “updating licenses”. Updating licenses is usually done with the CLM Administrator Server on the Local License Server (refer to the Managing the License Server chapter). It can alternatively be done through the View licenses dialog box within the software package on a Local Client (refer to the Managing Floating Licenses on Local Clients chapter).

For this functionality, an Internet connection is required to allow for a connection to the Hexagon Network License Server.

To update newly purchased software options or software maintenance:

  • Click the View licenses link on the main screen to display the View licenses dialog (refer to the Managing Floating Licenses on Local Clients chapter).

  • Make sure the Computer is connected to the Internet.

  • Select Check for license updates.

A connection to the Hexagon Network License Server is now established. The check for license updates is initiated.

  • If no license updates are available, you will get the message that no new activatable licenses are available.

  • If license updates are available, you will get the message that says, “New floating licenses are available, please contact your license server administrator.”

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Borrowing Floating Licenses on Local Client

If it is required to use the software remotely on a computer with no connection to the network and the Local License Server, it is possible to “borrow” licenses from the Local License Server and “return” them after usage. This process is called "borrowing". The availability of borrowing depends on the software product being installed.

Borrowing and returning of licenses are managed through the View licenses dialog box within the software package (refer to the Managing Floating Licenses on Local Clients chapter.

To view the licenses for the software package:

  • Click the View licenses link to display the View licenses dialog box from within the software package (refer to the Managing Floating Licenses on Local Clients chapter).

The View Licenses dialog box shows the Entitlement ID and all currently activated options of the software package.

Borrow Licenses

To borrow licenses:

  • Type the end date that you want the licenses to expire.

  • Click the Borrow licenses link.

The licenses are now borrowed, and the View licenses dialog is updated with the latest status.

Return Borrowed Licenses

To return borrowed licenses:

  • Select the license that you want to return.

  • Click the Return borrowed licenses link.

The licenses are now returned, and the View licenses dialog box is updated with the latest status.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


re-hosting Floating Licenses on Local Client

If the Local License Server has been re-hosted (permanently transferred from one computer or server to another), the license server configuration for all local clients must be updated.

Updating the License Server Configuration is done through the View licenses dialog box.

To display the View Licenses dialog box:

  • Start the application by double-clicking clmadminsvr.exe in your software package to display the main dialog.

  • Click the View Licenses dialog. The list of licensed products will be empty because the required product license was not found.

  • Click the Options link along the left side to display the server's configuration settings used to update the License Server Configuration.

Updating the License Server Configuration

In the Configuration section of the Options dialog box, the current local license server configuration is shown.

To update the local license server configuration:

  • Type the new server information as needed. This information is indicated in the CLM Administrator Server under “Manage license server” in the Managing the Local License Server chapter.

  • Click Apply located in the lower-right to identify the address of the new host.

The Local Client now connects to the new Local License Server.

(The “Proxy Server Configuration" is only required if a proxy server is used instead of a direct Internet connection.)

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Offline License Processing

There are several cases when an Internet connection may not be available or possible:

  • Companies or institutions that only allow email

  • Special networks that are offline on purpose

  • Problems with the network connection (due to proxy servers or firewalls, for example)

Hexagon SPA created a procedure to automate, as much as possible, the offline activation process.

Use this email address for the offline activation process: activation@hexagon.com.

More:

Offline License Transfer and Activation Process

Returning Licenses Offline

Creating an Offline Return Request File

Getting the Offline Return Response File

Processing the Return Response File

Updating Licenses Offline

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Offline License Transfer and Activation Process Overview

When you receive the Entitlement ID, use the following steps to activate, return, or update the entitlement offline:

  1. On a computer or other device with an Internet connection, request a .clmstart file. The .clmstart file is needed to get the .clmreq file from the activation service.

You can get a .clmstart file through an email request to activation@hexagon.com. The body must contain the Entitlement ID string.

  2. When you receive the .clmstart file, copy it to any folder on the offline computer where the software needs to be activated.

The file is named with the EID number followed by the ".clmstart" extension.

  3. Use the appropriate desktop shortcut created with the software installation to start the CLM application on the computer you are licensing:

  4. Click the Offline License Transfer option found in the middle of the CLM dialog box.

  5. On the next screen, click Activate Licenses.

  6. In the top-center of the next screen, click Browse.

  7. Navigate to the location of the .clmstart file. Click the file to select it, and then click Create Request found in the lower-right of the dialog box.

  8. When the software has finished processing the request, click Save Request found in the lower-right of the next dialog box.

The software creates a file with the EID as the file's name, with a ".clmreq" extension. It is needed to get the .clmresp file. You cannot get the .clmresp file without the .clmreq file. The software saves the file in the same location as the .clmstart file.

  9. Send the .clmreq file to activation@hexagon.com. The body of the email must contain the license Entitlement ID (EID) and the .clmreq file must be attached. A reply is sent from Hexagon that contains the .clmresp file. Its filename is the EID number with the extension ".clmresp". Copy this file back to the computer you are licensing.

  10. On the offline computer you are licensing, start the CLM application described in step 2 above.

  11. Click Offline License Transfer.

  12. Click Activate Licenses from the next dialog box.

  13. Browse to the .clmresp file, click it to select it, and then click OK. The CLM application processes the file and performs the license activation.

The license is now activated. You can start and use your licensed software application.

For details on troubleshooting the offline activation process, see the "Troubleshooting Offline Activation Issues" topic.

If you have questions, contact Hexagon Customer Support. For details, please see the "Hexagon Customer Support" section in the "Troubleshooting" help topic.

A detailed step-by-step guide through the offline activation process follows.

More:

Step 1: Requesting the .clmstart File

Step 2: Creating an Offline Activation .clmreq File

Step 3: Getting the Offline Activation .clmresp File

Step 4: Processing the Activation .clmresp File

Troubleshooting Offline Activation Issues

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Step 1: Requesting the .clmstart File

The offline activation process requires a .clmstart file.

You can get a .clmstart file in one of these ways:

  • Through an email request to activation@hexagon.com

  • Through standard mail on a disc or flash drive

If you have questions, contact Hexagon Customer Support. For details, please see the "Hexagon Customer Support" section in the "Troubleshooting" help topic.

To get a .clmstart file, you must have the product license Entitlement ID.

  1. From a secondary computer with an Internet connection, send an email to activation@hexagon.com. The body of the email must contain the license Entitlement ID (EID).

The activation service processes the email and generates an activation .clmstart file that you send back by email. The file has a filename of the EID you sent with an extension of ".clmstart".

  2. Once you've received your .clmstart file, save it to a portable storage device, such as a USB stick.

  3. Transfer it to any folder on the target computer.

  4. Click the Next link below to continue.

Next

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Step 2: Creating an Offline Activation .clmreq File

Once you have the .clmstart file, you need to create a .clmreq file from it. The .clmreq file is a request file used to obtain the activation response file, which has a .clmresp extension.

Use the appropriate desktop shortcut created with the software installation to start the CLM application on the computer you are licensing:

  • The "CLM Admin" shortcut is for Node-locked licenses.

  • The "CLM Admin Server" shortcut is for Floating licenses.

To get the offline activation .clmreq file:

  1. Start the appropriate CLM Administration application described above, and click the Offline license transfer option.

  2. Click Activate licenses on the next screen.

  3. On the next screen, click Browse and navigate to the .clmstart file you copied to your portable storage device.

  4. Click the file to select it, and then click Create Request in the lower-right.

Once the request has been generated, the license details are listed.

  5. Click Save Request in the lower-right to save the .clmreq file.

You use the .clmreq file to get the .clmresp response file.

Keep the CLM Admin application running on the computer being licensed for the next step.

  6. Navigate to the location on your computer of the generated .clmreq file. It is found in the same location as the .clmstart file.

  7. Click the Next link below to continue.

Next

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Step 3: Getting the Offline Activation .clmresp File

You can get a .clmresp file in one of these ways:

  • Through an email request to activation@hexagon.com

  • Through standard mail on a disc or flash drive

If you have questions, contact Hexagon Customer Support. For details, please see the "Hexagon Customer Support" section in the "Troubleshooting" help topic.

Requesting an Activation Response file via email

To get the offline activation .clmresp file through email:

  1. From a secondary computer with an Internet connection, send an email to activation@hexagon.com. The body of the email must contain the license Entitlement ID (EID) and the .clmreq file must be attached.

The activation service processes the email with the attached file and generates an activation .clmresp file that is sent back by email. The file has a filename of the EID you sent with an extension of ".clmresp".

  2. Once you've received your .clmresp file, save it to a portable storage device, such as a USB stick.

  3. Transfer it to any folder on the target computer.

  4. Click the Next link below to complete the offline activation process.

Next...

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Step 4: Processing the Activation .clmresp File

Complete the offline license activation procedure by transferring the activation .clmresp file back to the computer you are licensing. The CLM application processes the file.

  1. Using the appropriate desktop shortcut created with the software installation, start the CLM application on the computer you are licensing:

  • The "CLM Admin" shortcut is for Node-locked licenses.

  • The "CLM Admin Server" shortcut is for Floating licenses.

  2. Select Offline license transfer from the CLM dialog box's main area, or from the menu on the left.

  3. You must select the .clmresp file using the correct CLM Administrator tool described in Step 1. Select Activate new licenses from the next dialog box, and then click Select Response.

You cannot reuse a .clmresp file that has already been processed. When returning or updating a license, you must generate a new .clmresp file.

In case you have lost the generated .clmresp file, the latest one may still be available on the Hexagon Network License Server for one month. Click Query Response to download the latest .clmresp file from the server.

  4. Browse to the .clmresp file stored on your portable storage device. Click it to select it, and then click OK. The CLM Admin application processes the activation .clmresp file and performs the license activation.

Under certain circumstances, the CLM Admin application may produce another .clmreq file after you have imported and processed the .clmresp file. If this happens, save the new .clmreq file and re-submit it via email (activation@hexagon.com), or submit it back to Hexagon Technical Support via a USB drive or other method.

The license is now activated. You can use your Hexagon software application.

If you have questions, contact Hexagon Customer Support. For details, please see the "Hexagon Customer Support" section in the "Troubleshooting" help topic.

To verify your license is activated:

  • Click the View Installed Licenses option in the upper-left of the CLM Admin application to see a list of all installed licenses.

  • Connect to the Internet, and then click the Verify Licenses option on the left of the CLM Admin application. The dialog box shows a list of licenses that are not activated.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Returning Licenses Offline

You can get a Start file by either requesting that one be sent through email if available, or through standard mail on a disc or flash drive.

For further information on the returning ("re-hosting") policy for Hexagon software products, refer to the introductory chapters in the License Models chapter.

Requesting a Return Start File via email

To get the offline return Start file via email, contact your Hexagon service representative to send you the Start file.

  • Enter the Entitlement ID to be returned offline as body text into the email, and send the email to the given address.

The offline return Start file will be sent back to your email address.

  • Save the Start file to a portable storage device such as a USB stick. Transfer it to the target computer.

If the license shall be returned via email, continue directly with the Offline License Transfer and Activation Process chapter.

Requesting a Return Start File via the Hexagon Support Center

To get the offline return Start file via the Hexagon Support Center, contact your Hexagon service representative for details.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Creating an Offline Return Request File

To create an offline return Request file with the given start file, the CLM Administration tools are needed.

Start the CLM Administration tools.

  • For a node-locked license, run clmadmin.exe.

  • For a floating license, run clmadminsvr.exe.

In the CLM Administrator:

  • Select Offline license transfer from the main area or from the menu on the left.

Step 1: Return Licenses

To start the offline return procedure in the CLM Administrator:

  • Select Return licenses from the main area.

Step 2: Create a License Request file

To return a license offline, a request file has to be generated first with the given Start file:

Browse for the Start file (*.clmstart) on your portable storage device.

  • Click the Create Request link in the lower-right.

At the moment the Request file is created, the license will be disabled, and the software cannot be used any longer!

Step 3: Save the Request

The license details will be listed:

  • Click the Save request link to save the Request file.

The Request file is needed to get the Response file.

Step 4: Locate the Request file

Make note of the location of the Request file. By default, it is in the same location as the Start file.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Getting the Offline Return Response File

The Return Request file must be transferred to the computer or other device with an Internet connection in order to get the Return Response file.

There are two ways to request a response file from the Hexagon Network License Server:

  • via email

  • via the Hexagon Support Center

Requesting a Return Response File via email

To get the offline return Response file via email, contact your Hexagon service representative.

  • Save the return Request file as an attachment to the email. Send the email to the given address.

The offline return Response file will be sent back to your email address.

  • Save the Response file to a portable storage device such as a USB stick.

  • If the license is to be returned via email, continue directly with the Creating an Offline Return Request File chapter.

Requesting a Return Response File through the Hexagon Support Center

Contact your Hexagon service representative for details on accessing the Hexagon Support Center.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Processing the Return Response File

The Return Response file must be transferred back to the target computer and processed within the CLM Administration tools in order to return the license .

  • For a node-locked license, use the CLM Administrator (clmadmin.exe).

  • For a floating license, use the CLM Administrator Server (clmadminsvr.exe).

Step 1: Select the Response file in the CLM Administrator

The Response file must be selected in the CLM Administrator.

  • Open the CLM Administrator. Select Offline license transfer from the main area or from the menu on the left.

  • In the next step, select Return licenses from the main area.

  • Browse for the response file (*.clmresp) stored on your portable storage device.

Step 2: Process the Response File

To return the license, the Response file has to be processed:

  • Click on the Process Response link located in the lower-right to return the license.

The license is now returned. You can transfer (re-host) it from one computer to another.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Updating Licenses Offline

Activating additionally purchased software options or software maintenance is called “updating licenses”.

To update a license with newly purchased software options or software maintenance offline, you need to use the same steps as for activating a license.

  • Get a new Activation Start file (see Getting the Offline Activation Start File via email).

  • Create a new Activation Request file (see Creating an Offline Activation Request File).

  • Get a new Response file (see Getting the Offline Activation Response File).

  • Process the new Response file (see Processing the Activation Response File).

  • For updating a license, a new response file must be generated.

  1. Click the Browse link to browse for the request file that has been created.

  2. Upload it to the Hexagon Support Center.

  3. Click Download and save the response file (*.clmresp) to a portable storage device such as a USB stick.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Troubleshooting

This section provides information on resolving issues that may occur with the Client License Management software.

  • Troubleshooting Trusted Storage (TS) Error

  • Troubleshooting Offline Activation Issues

  • Troubleshooting Sleep Mode Issues when Running HM Remote Daemon

Hexagon Customer Support

If you questions related to licensing or license activation, please go to the Hexagon Customer Support web site.

For customers outside the United States, click the Contact Us button on the Hexagon Customer Support web site and fill in the form that appears. A Hexagon Customer Support representative will contact you with information for your location.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Troubleshooting Trusted Storage (TS) Error

The Hexagon CLM software utilizes the Flexara technology called Trusted Storage (TS).

An error that most typically occurs is when this message appears: "TS record invalid."

Under normal circumstances, a successfully activated license is in the "Fully Trusted" state. To verify this:

  1. Click the View installed licenses link in the upper-left corner of the CLM Admin utility.

  2. Click the Features link located in the upper-right of the next screen.

    The next screen displays a list of features. The right-most column (State) normally shows the "Fully trusted" status for each item.

If any of these items show a state other than “Fully trusted”, you can reset your Trusted Storage system and re-activate the license. However, if you do this, it removes all entitlements on your computer, and you will need to re-activate them.

Saving Entitlement Information

Before proceeding, make sure you have your entitlement information in a safe place before you reset Trusted Storage.

  • One way to save your Entitlement information is to click the Save As link, located in the lower-right of the CLM Admin utility. This stores your license information to an XML file:

  • Another way to save your entitlement information is copy and paste the IDs into an empty document.

  • To do this:

    1. Open an empty text document in Notepad, WordPad, Microsoft Word, or some other text editor.

    2. Next, switch to Entitlement view by clicking Entitlements in the upper right-hand corner:

    3. Next, double-click one of the Entitlement IDs to copy the ID to your clipboard.

    4. Switch to your empty document, and paste the Entitlement ID into the document.

    If you have more than one Entitlement activated, repeat this process as needed until you have saved all of the Entitlement IDs. Be sure to save your document when you finish.

Resetting Trusted Storage

  1. Next, the Trusted Storage system needs to be reset. To do this, click View installed licenses in the upper-left corner:

  2. Next, click Reset TS in the middle of the window.

    The "Reset TS" link is only enabled if the state of one or more of your entitlements is not "Fully trusted".

    The Reset Trusted Storage warning message appears.

  3. Click Yes to continue. After this operation, the list of entitlements area displays “<no licenses available>”:

  4. All entitlements will need to be re-activated. If you saved them to a document using the previous steps, you can copy and paste each Entitlement ID into CLM Admin to complete this process.

    For details on activating node-locked licenses, see the "Installing and Activating node-locked Licenses" chapter.

    For details on activating licenses offline, see the "Offline License Processing" chapter.

More:

Installing and Activating node-locked Licenses

Offline License Processing

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Troubleshooting Offline Activation Issues

Issue: The offline activation operation "Start File Creation" failed due to "Error Retrieving Entitlement ID from mail body!".

  1. Common failure reasons are:

    • The Entitlement ID of the license is not present in the email body.

    • The license has already been activated on another computer.

    • The license fulfill count exceeded the available seat count. If this is the case, there are no more activations available for the license.

Resolution: Please contact the [image] [image] Hexagon Technical Support for further assistance.

Information on technical support can be found at the following Hexagon web site locations:

http://hexagon.us/contact-us
www.pc-dmis.com

Hexagon Technical Support can also be reached by calling 1.800.343.7933

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Troubleshooting Sleep Mode Issues when Running HM Remote Daemon

A known issue with the CLM software is that the computer cannot be put into sleep mode when the HM Remote Daemon (x86/x64) is running.

  1. Problem

    The computer cannot be placed into sleep mode when the HM Remote Management Daemon x86/x64 service is running.

    Cause

    The HM Remote Management Daemon is a tool for remote administration of licenses on a computer. Since the service listens for incoming connections on the network, the system cannot be placed into sleep mode as it normally would (such as for laptops or tablets.)

    Solution

    To solve the issue:

    1. Edit the service's properties in the Services control panel, and set the service Startup Type to Manual.

    2. Stop the service.

    3. If there is a need to remotely administer licenses on that computer, you must restart the service. An Administrator can do this remotely via Microsoft Management Console (mmc.exe), via the Services Snap-in. Alternatively, Remote Desktop or another remote administration tool can be used to log in to the computer and restart the service.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Frequently Asked Questions (FAQs)

Question 1:

I have to enter the Entitlement ID for the installation and license activation. What is an Entitlement ID, and where can I find it?

An Entitlement ID is a unique representation of the license for a product that a customer has bought. The Entitlement ID can be found on the invoice, delivery note, and Entitlement Certificate.

Question 2:

What is product activation?

Product activation is the process to get a license for a Hexagon software product onto your computer. You can activate your product 24 hours a day, seven days a week via the Internet.

Question 3:

What kind of information is transmitted during product activation?

Product activation requires that Hexagon collects a minimum of information needed to validate the authenticity of a product activation request. Most of the data identifies the product, including the Entitlement ID and the product version. A randomly computed machine ID (host ID) is also generated; it cannot be used to identify the make, model, or components of your computer. Additionally, the operating system and name of your computer are transmitted. All data are transmitted securely to Hexagon for validation.

Question 4:

Can I use my Entitlement ID on more than one computer?

No. A unique activation process is required per computer. Once a product has been activated, the software license is assigned only to that specific computer.

Question 5:

Do I need administrator rights for activation?

No. The activation itself does not require administrator rights, but the installation of the individual software packages may require administrator rights.

Question 6:

Is it possible to activate licenses on a computer without an Internet connection?

Yes. Hexagon offers you the chance to activate, return, or update a license offline via another computer or any other device that must at least have an email connection to the Internet (such as a smartphone).

Refer to the Offline License Processing chapter for details.

Question 7:

Do I have to be online to use software that includes the new software licensing?

No. In the case of node-locked licenses, once you have activated the product, you do not need to be online to use the software. However, if your license has been enhanced, such as after buying an additional option or after extending your software maintenance contract, you must be online to activate updates.

Question 8:

I have purchased additional software options or software maintenance. How can I activate these newly purchased licenses?

Activating the newly purchased options is called "updating licenses". Follow the instructions for updating node-locked licenses in the Node Locked Licenses chapter and for updating floating licenses in the Floating Licenses chapter.

Question 9:

I would like to permanently transfer the software and license from one computer to another. How can I do this?

Permanently transferring the software and license from one computer to another is called "re-hosting". Follow the instructions for re-hosting node-locked licenses in the node-locked Licenses chapter and for re-hosting floating licenses in the Floating License chapter.

Question 10:

My computer has broken down and I would like to transfer the node-locked license to a different computer. However, I am unable to follow the re-hosting process and return the licenses as described in this document. What can I do?

Contact your local Hexagon Customer Support representative with your Entitlement ID and explain your problem to them. They will be able to return the license for you to allow you to install and activate the software again on a different computer.

Question 11:

I would like to reset the operating system or install a new operating system on the computer where I have installed the Hexagon software product and activated the license. What should I do?

Prior to installing a new operating system, it is necessary to follow the re-hosting process. Follow the instructions for re-hosting node-locked licenses in the Node Locked Licenses chapter and for re-hosting floating licenses in the Floating Licenses chapter.

Question 12:

Will changes to the system date and time properties on my computer require reactivation?

No. If your software license has no expiration date (such as an evaluation license, for example), there are no restrictions to adjusting your system date and time properties. If your software license has an expiration date, only changing the system date and time properties by more than one day would trigger reactivation.

Question 13:

I am currently using a Hexagon software product that is protected with a dongle. What is the process to switch to the new software licensing?

First, you have to contact your local Hexagon sales representative and indicate the dongle number to him or her. He or she will then order a “Dongle Migration” for you. Once this order is placed, you will receive your new Entitlement ID.

Then you can start the installation following the instructions in this document. During the installation, you will be asked to plug in your dongle. When the installation is completed, the software will be activated using the new software licensing, and the dongle will no longer be valid for the migrated product.

Question 14:

Do I need a dedicated server computer for running a license server?

The license server can be installed as a standard software package. Due to the very low computing power, a standard personal computer can be used to run a license server. This computer must be connected to the local area network (LAN) for sharing the licenses with other computers connected in the same LAN.

Question 15:

Is it possible to use the same Local License Server for different Hexagon software packages?

Yes. You have to set up only one Local License Server for all of your Hexagon software products. Once the License Server has been set up, it is possible to add various additional licenses via “Activating new Licenses”. Then the local clients can be installed.

Question 16:

Do I need an Internet connection for using floating licenses?

No. The server only has to be online during the license activation process on the license server. However, you have to be permanently connected to your license server in the LAN to be able to use floating licenses. For a temporary disconnection from the LAN, such as for travelling with your a laptop or other supported mobile device, a functionality to borrow licenses is supported in some of the Hexagon software packages. Follow the instructions for borrowing licenses in the Floating Licenses chapter.

Question 17:

I am using a Firewall on my local license server. Do I have to open ports on the local license server to enable communication?

Yes. To enable clients to check-out or borrow licenses from a server in your LAN, you have to add the following ports as exceptions from the firewall protection:

  • For the application "lmgrd.exe", open a local TCP port with a number in the range from "27000…27009". The default for the server port is TCP port 27000.

  • You may also look up the port actually used in the CLM Administrator Server program under "Manage license server" or in the "lgs.log" file. This file can be found in the license server installation folder, which by default is: C:\Program Files\Common Files\<name of Hexagon software product>\License-Server.

  • For the application "LGS.exe", open any unused TCP port, such as 27010.

Both ports also have to be defined in the file "svr_lgs.lic". This file is installed in the license server installation folder, which by default is: C:\Program Files\Common Files\<name of Hexagon software product>\License-Server. You have to:

  • Add the server port number to the first line: SERVER this_host ANY 27000

  • Add the vendor daemon port to the second line: VENDOR LGS port=27010

To enable remote access for the license management tools, it is recommended to add a remote daemon port as an exception:

  • For the application "clmrdsvr.exe", open the local TCP port 19701.

Question 18:

I am using a Firewall on my local client computer. Do I have to open ports on the local client to enable communication?

Yes. To enable clients to check out or borrow licenses from a server in your LAN, you have to add the following ports as exceptions from the firewall protection:

  • For the client application (for example, "LGO.exe"), open the remote license server TCP port (for example, 27000) and the remote vendor daemon TCP port (for example, 27010).

  • You may also look up the ports actually used in the "lgs.log" file or in the "svr_lgs.lic" file. Both files can be found on the license server in the license server installation folder, which by default is: C:\Program Files\Common Files\<name of Hexagon software product>\License-Server.

To enable remote access for the license management tools, it is recommended to add a remote daemon port as an exception:

  • For the application "clmadminsvr.exe", open the remote TCP port 19701.

Question 19:

I have successfully set up my local license server and I am connected to it via the LAN. Still, when I install a local client and specify the address and port of my local license server I get an error message telling me that the destination is unreachable or that the message expired. What is the reason for these messages and how can I solve the problem?

The reason for these messages may be that the time on your local license server and the time on your local client are not synchronized. This means that an issue with the communication protocol between the license server and the client software exists.

  • If the time differs by more than 5 minutes, you will get the message ”Destination unreachable”. This lets you know that a reasonable amount of time has gone by without a return response from the targeted server.

  • If the time differs by more than 10 minutes, you will get the message ”Message expired”. This lets you know the messages going back and forth between the servers has expired, and any further attempts to communicate between them has expired.

Note that it is no problem if your server runs in a different time zone than your client.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Glossary

Activation

Activation is the process to get a license for a Hexagon software product onto your computer.

Borrowing

Borrowing means to check out a floating license from the Local License Server so that it can be used like a node-locked license on a computer or laptop if it is required to run the software remotely without connection to the network and the Local License Server.

CLM

CLM stands for Client License Manager. It is the name of the software tool that is used to manage the software license on a computer or server.

CLM Administrator

CLM Administrator is the license management tool for computer installations of node-locked licenses. It can be used to view licenses, update licenses, activate new licenses, or return licenses for re-hosting.

CLM Administrator Server

CLM Administrator Server is the license management tool for license server installations of floating licenses. It can be used to view licenses, update licenses, activate new licenses, or return licenses for re-hosting.

Dongle

A “dongle”, also called a hardware key or Software Protection Key, is a small protection device that has to be connected to the parallel or USB port of the computer to secure the software against unauthorized use.

Entitlement Certificate

The Entitlement Certificate is a document that contains the Entitlement ID. This document should be kept carefully, as the Entitlement ID is required for purchasing additional software options.

Entitlement ID

The Entitlement ID is the key to initial license activation as well as for re-ordering additional software options. The Entitlement ID can be found on the invoice, the delivery note or the Entitlement Certificate.

Floating License

Floating licenses can be shared across multiple users within the same local network. They allow for simultaneous use up to the number of available purchased licenses.

Hexagon Network License Server

The Hexagon Network License Server is the central location for floating licenses, which are served out to clients on the network upon startup. An Internet connection is typically required for license activation or other tasks to be able to connect to the Hexagon Network License Server.

Hexagon Support Center

The Hexagon Support Center is where products are registered in order to access product related information or software updates.

License Model

The license model defines if a license is tied to a single computer or can be shared across different computers within the same network. For Hexagon software products, two different license models are available: node-locked and floating. The availability of the license model depends on the Hexagon software product.

Local Client

A local client is a computer that shares floating licenses within the local network and, therefore, has to be connected to the Local License Server.

Local License Server

A Local License Server is required for serving floating licenses. It can be either a computer or server within the local network.

Node-Locked License

A node-locked license is tied to a single computer and is, therefore, the ideal choice for working remotely or for single dedicated users within the network. A node-locked license cannot be shared across multiple users in the same network; it is usually not transferred from one computer to another.

Registering Licenses

Licenses are registered at the Hexagon Support Center. Registration of a license is required for re-hosting and for accessing product related information on software updates.

re-hosting

re-hosting means permanently transferring a license from one computer or Local License Server to another. re-hosting a license is only allowed for a limited number of times per year. The number of allowed re-hostings depends on the Hexagon software product.

re-hosting requires that the license has previously been registered at the Hexagon Support Center.

Returning Licenses

Returning licenses is the first step required for the re-hosting process. Before a license can be activated on a different computer, it is necessary to return the license to the Hexagon Network License Server.

Software Protection Key

A software protection key, also called “dongle” or hardware key, is a small protection device that has to be connected to the parallel or USB port of the computer to secure the software against unauthorized use.

Updating Licenses

Updating licenses means activating additionally purchased software options or software maintenance.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Node Locked License QuickStart

Home > Node Locked License QuickStart

CLM Licensing Procedure QuickStart Guide

Installing and Activating a Node Locked License

The Hexagon CLM Licensing tools are installed with the Hexagon software product (PC-DMIS, DataPage+, and so on) which creates desktop shortcuts to the necessary CLM tools.

The installation of the software and activation of the software package is done with an installation wizard that automatically guides you through the complete installation and activation process. The computer must have an Internet connection.

Note that the installation steps and screen shots in this document are taken from the Hexagon software package. The dialogs for other software packages may differ slightly.

  1. Start the CLM Licensing tool using the “CLM Admin” desktop shortcut created during the installation of the Hexagon software product (PC-DMIS, DataPage+, and so on) The Client License Administrator dialog box appears.

  2. Click Activate new licenses and type or copy your Entitlement ID in the field.

  3. Click Check for activatable licenses to display the summary of the installed licenses.

  4. Click Activate new licenses.

  5. Click View Installed Licenses to view and verify all activated licenses.

All new licenses are now activated and the corresponding products can be used.

Download the PDF version: CLM_Node_Locked_License_QuickStart_Guide.pdf

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Offline License Activation QuickStart

Home > Offline License Activation QuickStart

CLM Licensing Procedure QuickStart Guide

Offline License Activation

Once the Entitlement ID is received, the following steps have to be taken to activate, return, or update the Entitlement offline:

  1. On a computer or other device with an Internet connection, request a .clmstart file. Send the request to activation@hexagon.com. The subject of the email can be empty, but the body must contain the Entitlement ID string. When the .clmstart file is received, transfer it to a portable storage device to the offline PC where the software needs to be activated.

  2. On the computer being licensed, start the CLM Licensing tool using the appropriate desktop shortcut created during the installation of the Hexagon software product (PC-DMIS, DataPage+, etc.): “CLM Admin” for Node Locked Licenses or “CLM Admin Server” for Floating Licenses.

  3. Click the Offline License Transfer option in the middle of the CLM dialog.

  4. On the next screen, click Activate Licenses.

  5. In the top-center of the next screen, click Browse and navigate to where the .clmstart file is located. Click it, and then click Create Request found in the lower-right of the dialog.

  6. When the request has been processed, click Save Request found in the lower-right of the next dialog. The file has a .clmreq extension, and is in the same location as the .clmstart file. It is needed to get the .clmresp file.

  7. Send the generated .clmreq file to activation@hexagon.com. The body of the email must contain the license EID and the .clmreq file must be attached. A reply email from Hexagon is sent back to you with the .clmresp file. Copy it back to the computer being licensed.

  8. On the offline computer being licensed, start up the appropriate CLM tool described in Step 2 above, and click Offline License Transfer.

  9. Click Activate Licenses from the next dialog.

  10. Click Select Response in the lower-right, and browse to the .clmresp file. Click the file to select it, and then click OK. The software processes the .clmresp file and performs the license activation.

    See the topic "Troubleshooting Offline Activation issues" if you have problems during this process.

    The license is activated. Your Hexagon software application can be started and used.

Download the PDF version: CLM_Offline_License_Activation_QuickStart_Guide.pdf

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Checking for Licenses

To update newly purchased software options or software maintenance:

  • Click “View installed licenses” to display the Installed licenses dialog (refer to Managing Licenses chapter).

  • Make sure the computer is connected to the Internet.

  • Select “Check for Updates” near the bottom of the dialog.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●


Getting the Offline Activation Start File via email

To get the offline activation Start file via your email agent, send an email to: activatesoftware@leica-geosystems.com.

  • Enter the Entitlement ID to be activated offline as body text into the email, and send the email to the given address.

The offline activation Start file will be sent back to your email address.

  • Save the Start file to a portable storage device such as a USB stick, and transfer it to the target computer.

Note: If the license is to be activated via email, continue with Creating an Offline Activation Request File.

v1.5
CLM

Contact the Documentation Team

PDF Documentation

>> Readme.pdf

>> Printable Manuals

Support Links

>> Knowledge Base

>> Technical Support

>> Forum

>> Ideas

>> Training ●

>> Regional Offices ●